Subject: Refactor the view of the Sharing procedure

Description

Currently, when right clicking on a File one has two options wrt sharing:

1. Publish

2. Sharing

With "Publish" Pithos creates a public link for the file. Then anybody who has this link can access the file without signing-in. Public files do

NOT appear under Pithos users' "Shared with me" section.

With "Sharing" one can add a list of users or groups and grant them access to the file. Then this file will appear under the "Shared with

me" section of all the users that share it. Furthermore, a link will be created for this file. To access the file using this link, one must sign-in

and already have the file as shared.

The functionality will stay the same, but we will change how it is presented to the user for simplicity and uniformity:

When right clicking on a File one has only one option:

1. Share

Clicking "Share" opens an overlay with two sections each section clearly separated and with a checkbox:

1.1 [checkbox] Private sharing (Subtitle: "Only people explicitly granted permission can access. Sign-in required.")

1.2 [checkbox] Public on the Internet (Subtitle: "Anyone who has the public link can access. No sign-in required.")

Checking on the first (1.1) the section expands and we have the menu currently on the old "Sharing" overlay.

Furthermore, we need a "Add everybody" button that will add all Pithos users to the list.

Also we need the notice over the list of users: All users in the list will find the shared file under "Shared with me"

Checking on the second (1.2) the section expands and produces the public link (the menu currently on the old "Publish" overlay).

Related issues:

related to Pithos Web Client - Feature # 3592: Do not create Group on the Fil... Closed 04/15/2013

related to Pithos Web Client - Feature # 3593: File sharing overlay: Warn for... Closed 04/15/2013

Associated revisions

Revision ed2b76a4 - 04/15/2013 04:45 pm - Christos KK Loverdos 

Rename constructor params

Refs #3575

Revision cb1f6cdb - 04/15/2013 04:46 pm - Christos KK Loverdos 
Update permission table after adding user/group

Refs #3575

Revision fbb19e02 - 04/15/2013 04:49 pm - Christos KK Loverdos 

Change wording: Sharing -> Share in the folder context menu

Refs #3575

Revision 87487bbf - 04/15/2013 06:07 pm - Christos KK Loverdos 

In Share Dialog, remove the header line when the permission list is empty.

Refs #3575

Revision 34cd9aff - 04/16/2013 01:24 pm - Christos KK Loverdos 

New button "Add everybody" to file Share dialog

Refs #3575

Revision da9e51db - 04/18/2013 05:44 pm - Christos KK Loverdos 

In File/Share, disable "Add Group" if user has no groups

Also set the button title to "You do not have any groups".

Refs #3575

Revision 5e2c1280 - 04/18/2013 05:46 pm - Christos KK Loverdos 

Fix the disabled "Add group" button style

Previously some annoying button movement was taking place on mouse hover.

Refs #3575

Revision 46d2ccd2 - 04/18/2013 06:18 pm - Christos KK Loverdos 

Visually separate "Private" & "Public" sharing in File/Share

Refs #3575

Revision f9762f23 - 04/18/2013 06:54 pm - Christos KK Loverdos 

Revert "Fix the disabled "Add group" button style"
This reverts commit 5e2c128046985d9adb0459040b9b82931235e422.

Due to a regression with the Group/Delete dialog (it had bad/no styling)

Refs #3575

Revision cfdb1476 - 04/18/2013 07:12 pm - Christos KK Loverdos 

Visually separate "Private" & "Public" sharing in File/Share

More lightweight than the previous approach.

Refs #3575

Revision 49a8183f - 04/18/2013 07:22 pm - Christos KK Loverdos 

In File/Share do not show "Add group" if user has no groups

Refs #3575

Revision c947e007 - 04/18/2013 07:33 pm - Christos KK Loverdos 

Better headers in permissions dialog

If it is about user permissions, show "Add user" and "User".

If it is about group permissions, show "Add group" and "Group".

Refs #3575

Revision b31e9028 - 04/19/2013 01:48 pm - Christos KK Loverdos 

Bring Folder/Share dialog onpar with File/Share dialog

Refs #3575

Revision b551f85b - 04/19/2013 01:54 pm - Christos KK Loverdos 

In File/Share dialog show "Public/Private Link" instead of just "Link"

Refs #3575

Revision ddbf7059 - 04/19/2013 03:12 pm - Christos KK Loverdos 

Provide RightClick/CopyToClipboard functionality for "Public/Private Link" in File/Share dialog

It does not work. I think there is no standard way to do it.

Which browser versions do we support anyway?
I am committing the work, since it has been done but the intention

is to revert it immediately

Refs #3575

Revision c963be61 - 04/19/2013 03:15 pm - Christos KK Loverdos 

Revert "Provide RightClick/CopyToClipboard functionality for "Public/Private Link" in File/Share dialog"

This reverts commit ddbf705922a5abb92c92205ebc98cc97fbd89aeb.

I explained the reason in the commit message of the above commit

Refs #3575

Revision 6e804d92 - 04/19/2013 03:30 pm - Christos KK Loverdos 

Fix a typo in File/Share/Add Group dialog

The column header for groups should be "Group" not "User"

Refs #3575

Revision e7222991 - 04/19/2013 03:32 pm - Christos KK Loverdos 

Merge branch 'issue_3575' into develop

Refs #3575

History

#1 - 04/12/2013 06:26 pm - Christos KK Loverdos

- Status changed from New to Assigned

- % Done changed from 0 to 70

Check dev84. Implemented in File->Share for now. Will also do it for Folder->Share.

#2 - 04/15/2013 03:33 pm - Christos KK Loverdos

- Status changed from Assigned to Feedback

- Assignee changed from Christos KK Loverdos to Constantinos Venetsanopoulos

I see that currently, there is no "Publish" functionality for Folders. So, I am leaving it as it is.

The unified Public/Private Sharing dialog is for Files only.

#3 - 04/15/2013 04:17 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned
- Assignee changed from Constantinos Venetsanopoulos to Christos KK Loverdos

OK, we are leaving Folders as is without "Publish" for now.

One comment: Remove the headers line: "Users/Groups Read Only Read/Write" when the list is empty.

Also separate the two top level options with a horizontal line or something to keep thigns clear.

#4 - 04/15/2013 07:24 pm - Christos KK Loverdos

- % Done changed from 70 to 80

#5 - 04/16/2013 01:43 pm - Christos KK Loverdos

- % Done changed from 80 to 90

#6 - 04/19/2013 03:20 pm - Christos KK Loverdos

- Status changed from Assigned to Closed

- % Done changed from 90 to 100
